'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextFieldStyled = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactackleCore = require('reactackle-core');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var base = function base(_ref) {
  var themeFromProvider = _ref.theme;

  var theme = (0, _reactackleCore.extractThemeOrDefault)(themeFromProvider);

  var fontFamily = theme.reactackle.fontFamily[theme.reactackle.body.fontFamily];

  return '\n    &,\n    & *,\n    *::after,\n    *::before {\n      font-family: ' + fontFamily + ';\n      box-sizing: border-box;\n    }\n  ';
};

var TextFieldStyled = exports.TextFieldStyled = _styledComponents2.default.div.withConfig({
  displayName: 'TextFieldStyled'
})(['display:flex;flex-direction:column;max-width:100%;', ';'], base);

TextFieldStyled.displayName = 'TextFieldStyled';